<?php
declare(strict_types=1);

namespace PHP_PHAR\factory;

use PHP_PHAR\model\Person;

/**
 * Generate Person
 * @return array<Person>
 */
function makePersons(): array
{
    return [
        new Person("Jérémi", "Nihart", 20),
        new Person("Coralie", "Florquin", 21),
        new Person("Guillaume", "Vander"),
        new Person("Samuel", "Nihart", 17),
        new Person("Michel", "Laroux", null)
    ];
}